## mkgmap 0.0.0%2Bsvn4600

=== debian/changelog ===
mkgmap (0.0.0+svn4600-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Feb 2021 05:41:04 +0100

mkgmap (0.0.0+svn4590-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Jan 2021 09:02:25 +0100

mkgmap (0.0.0+svn4588-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Nov 2020 05:40:25 +0100

mkgmap (0.0.0+svn4585-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Oct 2020 05:58:17 +0200

mkgmap (0.0.0+svn4566-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Sep 2020 15:09:10 +0200

mkgmap (0.0.0+svn4565-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Mark patches as Forwarded: not-needed.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Aug 2020 08:24:34 +0200

mkgmap (0.0.0+svn4555-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Jul 2020 14:18:16 +0200

mkgmap (0.0.0+svn4506-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Jun 2020 16:48:17 +0200

mkgmap (0.0.0+svn4483-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Simplify launcher script.
  * Require at least libosmpbf-java 1.3.3-14 for protobuf 3.11.4 changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 23 Apr 2020 11:45:57 +0200

mkgmap (0.0.0+svn4475-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Add lintian override for upstream-metadata-missing-bug-tracking.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Apr 2020 06:15:07 +0200

mkgmap (0.0.0+svn4454-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Mar 2020 06:45:08 +0100

mkgmap (0.0.0+svn4434-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Feb 2020 20:41:40 +0100

mkgmap (0.0.0+svn4433-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Bump Standards-Version to 4.5.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 31 Jan 2020 09:09:44 +0100

mkgmap (0.0.0+svn4398-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Drop Name field from upstream metadata.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Jan 2020 08:52:05 +0100

mkgmap (0.0.0+svn4380-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Dec 2019 06:06:50 +0100

mkgmap (0.0.0+svn4323-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Nov 2019 20:56:12 +0100

mkgmap (0.0.0+svn4294-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Bump Standards-Version to 4.4.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Oct 2019 05:55:11 +0200

mkgmap (0.0.0+svn4289-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Sep 2019 08:44:09 +0200

mkgmap (0.0.0+svn4287-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Aug 2019 16:16:51 +0200

mkgmap (0.0.0+svn4262-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 Feb 2019 13:18:48 +0100

mkgmap (0.0.0+svn4260-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Bump Standards-Version to 4.3.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Jan 2019 10:50:43 +0100

mkgmap (0.0.0+svn4257-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Dec 2018 19:13:31 +0100

mkgmap (0.0.0+svn4245-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Add openjdk-11 to JAVA_CMDS list.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Nov 2018 08:49:11 +0100

mkgmap (0.0.0+svn4244-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Oct 2018 11:35:19 +0200

mkgmap (0.0.0+svn4223-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Bump Standards-Version to 4.2.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Sep 2018 08:36:44 +0200

mkgmap (0.0.0+svn4214-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Aug 2018 07:31:48 +0200

mkgmap (0.0.0+svn4193-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.5, no changes.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 00:15:36 +0200

mkgmap (0.0.0+svn4193-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Strip trailing whitespace from control & rules files.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Jun 2018 17:42:46 +0200

mkgmap (0.0.0+svn4183-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Bump Standards-Version to 4.1.4, no changes.
  * Add openjdk-10 to JAVA_CMDS list.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 May 2018 14:32:03 +0200

mkgmap (0.0.0+svn4143-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Update copyright file.
  * Bump Standards-Version to 4.1.3, no changes.


## mkgmap 0.0.0+svn630

=== Makefile ===

#
# This is NOT used to build mkgmap.  To build use ant.
#
#
#

#OSMDATA = areas.osm
#OSMDATA = 63240001.mp
OSMDATA = localtest/osm5/cricklewood-5.osm
#OSMDATA = maps/lon.mp
#OSMDATA = --mapname=90000001 test-map:all-elements
#OSMDATA = /opt/data/uk-071010-1.osm.gz /opt/data/uk-071010-2.osm.gz
# takes 22s
OSMDATA = /opt/data/uk-071010-1.osm.gz
#OSMDATA = test/osm5/srtm.osm
#OSMDATA = --latin1 /opt/data/osmworld/*.gz
#OSMDATA = /opt/data/uk-071114.osm.gz
#OSMDATA = localtest/osm5/reg40.osm
#OSMDATA = localtest/osm5/longline.osm
#OSMDATA = localtest/osm5/reg04.osm
#OSMDATA = --charset=unicode localtest/osm/czech_test.osm
#OSMDATA = --tdbfile maps/img/*.img
#OSMDATA = --tdbfile --gmapsupp /opt/data/uk/63*
#OSMDATA = test/samples/test.osm
#OSMDATA = seqld.osm.gz
#OSMDATA = --net --style=default --name-tag-list='name:en int_name name' test.osm
OSMDATA = /opt/data/uk-test-*


TIME=/usr/bin/time --format 'Real: %E, %S+%U'

#OPTS= --levels='0=24,1=22,2=20'
OPTS= --tdbfile --gmapsupp

makemap: clean
	$(TIME) java -cp build/classes uk.me.parabola.mkgmap.main.Main $(OPTS) $(OSMDATA)
	cp 63240001.img gmapsupp.img
	imgdecode gmapsupp.img

t:
	java -Dlog.config=l -ea -cp build/classes uk.me.parabola.mkgmap.main.Main $(OPTS) $(OSMDATA)

.PHONY: clean
clean:
	rm -f 63240001/* gmapsupp/* mkgmap.log out.log
	rm -f gmapsupp.img 63*.img 63*.tdb

load:
	sleep 2
	-surun mount /media/disk
	surun cp gmapsupp.img /media/disk/Garmin/gmapsupp.img
	surun umount /media/disk


map-features map_features:
	python scripts/mk_map_table.py resources/garmin_feature_list.csv \
		resources/osm_garmin_map.csv | sort > resources/map-features.csv

test:
	rm -fr gmapsupp/
	rm -f 32860003.img
	java -ea -cp build/classes uk.me.parabola.mkgmap.main.MakeTestMap

# Set values of BASE_LAT and BASE_LONG in your environment to be near your
# present location.
test_element:
	rm -fr gmapsupp/ 32860003
	rm -f 32860003.img
	java -ea -cp build/classes uk.me.parabola.mkgmap.main.MakeTestElementMap $$BASE_LAT $$BASE_LONG
	imgdecode 32860003.img

test_point:
	rm -fr gmapsupp/ 32860003
	rm -f 32860003.img
	java -ea -cp build/classes uk.me.parabola.mkgmap.main.MakeTestPointMap $$BASE_LAT $$BASE_LON
	imgdecode 32860003.img

test_lang:
	rm -fr gmapsupp/ 32860003
	rm -f 32860003.img
	java -ea -cp build/classes uk.me.parabola.mkgmap.main.MakeTestLangMap $$BASE_LAT $$BASE_LON
	imgdecode 32860003.img

test_lang10:
	rm -fr gmapsupp/ 32860003
	rm -f 32860003.img
	java -ea -Dlog.filename=out.log -cp build/classes uk.me.parabola.mkgmap.main.MakeTestLang10Map $$BASE_LAT $$BASE_LON
	imgdecode 32860003.img

tests:
	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm/63243936
	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm/63247525
	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm/63253506
	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm5/reg40.osm
	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm5/reg71.osm
	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm5/cricklewood-5.osm
	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm5/reg04.osm
	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm5/reg04b.osm
	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm5/rus.osm
	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main /opt/data/germany-070823.osm.gz
	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main /opt/data/uk-070815.osm.gz
	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm5/bit-assert-fail.osm


tl:
	-mount /media/disk
	cp 32860003.img /media/disk/Garmin/gmapsupp.img
	umount /media/disk

munge:
	cp pp.bak pp
	python munger.py
	cp pp gmapsupp.img

changelog:
	svn update
	svn2cl --group-by-day --reparagraph

## mkgmap 0.0.0%2Bsvn4917

=== debian/control ===
Source: mkgmap
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Andreas Putzo <andreas@putzo.net>,
           Francesco Paolo Lovergine <frankie@debian.org>,
           Andreas Tille <tille@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: utils
Priority: optional
Build-Depends: ant,
               debhelper-compat (= 13),
               default-jdk-headless (>= 2:1.8) | java8-sdk-headless,
               dh-sequence-javahelper,
               javahelper,
               libfastutil-java,
               libprotobuf-java,
               libosmpbf-java (>= 1.3.3-14),
               time
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/mkgmap
Vcs-Git: https://salsa.debian.org/debian-gis-team/mkgmap.git
Homepage: https://www.mkgmap.org.uk
Rules-Requires-Root: no

Package: mkgmap
Architecture: all
Depends: default-jre-headless (>= 2:1.8) | java8-runtime-headless,
         ${java:Depends},
         ${misc:Depends}
Suggests: josm,
          qmapshack
Description: Generate Garmin maps from OpenStreetMap data
 This program converts OpenStreetMap data into a map that
 can be loaded onto compatible Garmin GPS units.
 .
 Main features:
  - Full control which OSM data is integrated into the map (style system)
  - Full control how POIs, streets and all other elements are displayed
    (TYP file compiler)
  - Full address search support
  - Routing support
  - Many options for fine control over the map creation process

## mkgmap 0.0.0+svn1067

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #OSMDATA = maps/lon.mp
 #OSMDATA = --mapname=90000001 test-map:all-elements
 #OSMDATA = /opt/data/uk-071010-1.osm.gz /opt/data/uk-071010-2.osm.gz
-# takes 22s
+# takes 31s on trunk-681
 OSMDATA = /opt/data/uk-071010-1.osm.gz
 #OSMDATA = test/osm5/srtm.osm
 #OSMDATA = --latin1 /opt/data/osmworld/*.gz
@@ -25,21 +25,35 @@
 #OSMDATA = test/samples/test.osm
 #OSMDATA = seqld.osm.gz
 #OSMDATA = --net --style=default --name-tag-list='name:en int_name name' test.osm
-OSMDATA = /opt/data/uk-test-*
+#OSMDATA = /opt/data/uk-test-1.osm.gz
+OSMDATA = /opt/data/uk-lon.osm
+#OSMDATA = other.mp
 
 
 TIME=/usr/bin/time --format 'Real: %E, %S+%U'
 
 #OPTS= --levels='0=24,1=22,2=20'
-OPTS= --tdbfile --gmapsupp
+#OPTS= --route --tdbfile --tdb-v4 
+OPTS=--tdbfile --family-id=909 --series-name="other map"  --description='A test map'
 
 makemap: clean
-	$(TIME) java -cp build/classes uk.me.parabola.mkgmap.main.Main $(OPTS) $(OSMDATA)
+	$(TIME) java -Xmx500m -cp build/classes uk.me.parabola.mkgmap.main.Main $(OPTS) $(OSMDATA)
+	#cp 63240001.img gmapsupp.img
+	#imgdecode gmapsupp.img
+
+t:
+	java -Dlog.config=l -ea -cp build/classes uk.me.parabola.mkgmap.main.Main $(OPTS) $(OSMDATA)
+
+base: clean
+	$(TIME) java -cp build/classes uk.me.parabola.mkgmap.main.Main /opt/data/uk-test-1.osm.gz
 	cp 63240001.img gmapsupp.img
 	imgdecode gmapsupp.img
 
-t:
-	java -Dlog.config=l -ea -cp build/classes uk.me.parabola.mkgmap.main.Main $(OPTS) $(OSMDATA)
+other: clean
+	java -Dlog.config=l -ea -cp build/classes uk.me.parabola.mkgmap.main.Main \
+		--tdbfile --tdb-v4 --levels=0:24 --route 63240001.mp
+	cp 63240001.img gmapsupp.img
+	imgdecode gmapsupp.img
 
 .PHONY: clean
 clean:
@@ -89,6 +103,7 @@
 	imgdecode 32860003.img
 
 tests:
+	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm5/empty.osm
 	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm/63243936
 	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm/63247525
 	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm/63253506

## mkgmap 0.0.0+svn2981

=== doc/styles/Makefile ===

include ../resources/make.param


SOURCES= about.txt creating.txt design.txt files.txt rules.txt rules-filters.txt \
	style-manual.txt $(XSL) 
STYLE_MAIN=style-manual.txt
TARGET_PDF=style-manual.pdf

build: html

all: html pdf epub

html: style-manual.html
pdf: style-manual.pdf
epub: style-manual.epub

style-manual.html: $(SOURCES)
	$(ASCIIDOC) $(HTML_ATTRS) -a icons -a iconsdir=$(ICONSDIR) -b html5 $(STYLE_MAIN)

$(TARGET_PDF): $(SOURCES)
	$(A2X) --xsl-file=$(XSL) --fop $(PDF_OPTS) $(STYLE_MAIN)

style-manual.epub: $(SOURCES)
	mkdir -p build
	cp -ru $(RES)/common-images build
	$(A2X) --format epub --icons --icons-dir=build/common-images/icons $(STYLE_MAIN)


install: $(DEST)/$(TARGET_PDF)
	cp -u $(TARGET_PDF) $(DEST)

$(DEST)/$(TARGET_PDF): pdf

clean:
	rm -f style-manual.{pdf,epub,html}
	rm -rf build

=== debian/watch ===
version=3
opts="dversionmangle=s/0.0.0.svn//" \
http://www.mkgmap.org.uk/download/mkgmap-r([\d]+)-src\.zip

## mkgmap 0.0.0+svn3333

=== doc/tutorial/Makefile ===

include ../resources/make.param

SOURCE_DEPS= tutorial.txt starting.txt first_map.txt $(XSL) 
TUTORIAL_MAIN=tutorial.txt

build: html

all: html pdf epub

html: tutorial.html
pdf: tutorial.pdf
epub: tutorial.epub

tutorial.html: $(SOURCE_DEPS)
	$(ASCIIDOC) $(HTML_ATTRS) -a icons -a iconsdir=$(ICONSDIR) -b html5 $(TUTORIAL_MAIN)

tutorial.pdf: $(SOURCE_DEPS)
	$(A2X) --xsl-file=$(XSL) --fop -a doctype=article $(PDF_OPTS) $(TUTORIAL_MAIN)

tutorial.epub: $(SOURCE_DEPS)
	mkdir -p build
	cp -ru $(RES)/common-images build
	$(A2X) --format epub --icons --icons-dir=build/common-images/icons $(TUTORIAL_MAIN)


install: pdf
	cp -u tutorial.pdf $(DEST)

clean:
	rm -f tutorial.{pdf,epub,html}
	rm -rf build

=== debian/control ===
Source: mkgmap
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Andreas Putzo <andreas@putzo.net>,
           Francesco Paolo Lovergine <frankie@debian.org>,
           Andreas Tille <tille@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               javahelper,
               ant,
               default-jdk,
               time,
               libfastutil-java,
               libprotobuf-java,
               libosmpbf-java
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/mkgmap.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/mkgmap.git
Homepage: http://www.mkgmap.org.uk

Package: mkgmap
Architecture: all
Depends: ${misc:Depends},
         ${java:Depends},
         default-jre | openjdk-7-jre
Suggests: josm,
          qlandkarte
Description: Generate Garmin maps from OpenStreetMap data
 This program converts OpenStreetMap data into a map that
 can be loaded onto compatible Garmin GPS units.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for mkgmap
# Andreas Tille <tille@debian.org>
# GPL

JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --with javahelper

override_dh_auto_build:
	ant

=== debian/watch ===
version=3
opts="dversionmangle=s/0.0.0.svn//,downloadurlmangle=s/\.zip/-src.tar.gz/,filenamemangle=s/\/download\/mkgmap-r([\d]+)\.zip/mkgmap-r$1-src.tar.gz/" \
http://www.mkgmap.org.uk/download/mkgmap-r([\d]+).zip

## mkgmap 0.0.0+svn3598

=== debian/control ===
Source: mkgmap
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Andreas Putzo <andreas@putzo.net>,
           Francesco Paolo Lovergine <frankie@debian.org>,
           Andreas Tille <tille@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               javahelper,
               ant,
               default-jdk,
               time,
               libfastutil-java,
               libprotobuf-java,
               libosmpbf-java
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/mkgmap.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/mkgmap.git
Homepage: http://www.mkgmap.org.uk

Package: mkgmap
Architecture: all
Depends: ${misc:Depends},
         ${java:Depends},
         default-jre | java7-runtime
Suggests: josm,
          qlandkarte,
          qmapshack
Description: Generate Garmin maps from OpenStreetMap data
 This program converts OpenStreetMap data into a map that
 can be loaded onto compatible Garmin GPS units.
 .
 Main features:
  - Full control which OSM data is integrated into the map (style system)
  - Full control how POIs, streets and all other elements are displayed
    (TYP file compiler)
  - Full address search support
  - Routing support
  - Many options for fine control over the map creation process

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d+)/0.0.0+svn$1/,downloadurlmangle=s/\.zip/-src.tar.gz/,filenamemangle=s/\/download\/mkgmap-r([\d]+)\.zip/mkgmap-r$1-src.tar.gz/" \
http://www.mkgmap.org.uk/download/mkgmap-r([\d]+).zip

## mkgmap 0.0.0+svn3643

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,8 @@
 JAVA_HOME=/usr/lib/jvm/default-java
 
 %:
-	dh $@ --with javahelper
+	dh $@ --with javahelper --parallel
 
 override_dh_auto_build:
 	ant
+

## mkgmap 0.0.0+svn3649

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,8 @@
 override_dh_auto_build:
 	ant
 
+override_dh_auto_install:
+	dh_auto_install
+
+	install -m 755 debian/mkgmap.sh debian/mkgmap/usr/bin/mkgmap
+

## mkgmap 0.0.0+svn3652

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libprotobuf-java,
                libosmpbf-java
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/mkgmap.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mkgmap.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/mkgmap.git
 Homepage: http://www.mkgmap.org.uk

## mkgmap 0.0.0+svn3660

=== Makefile ===
--- 
+++ 
@@ -26,18 +26,18 @@
 #OSMDATA = seqld.osm.gz
 #OSMDATA = --net --style=default --name-tag-list='name:en int_name name' test.osm
 #OSMDATA = /opt/data/uk-test-1.osm.gz
-OSMDATA = /opt/data/uk-lon.osm
+#OSMDATA = /opt/data/uk-lon.osm
 #OSMDATA = other.mp
 
 
 TIME=/usr/bin/time --format 'Real: %E, %S+%U'
 
-#OPTS= --levels='0=24,1=22,2=20'
+OPTS= --tdbfile
 #OPTS= --route --tdbfile --tdb-v4 
 OPTS=--tdbfile --family-id=909 --series-name="other map"  --description='A test map'
 
 makemap: clean
-	$(TIME) java -Xmx500m -cp build/classes uk.me.parabola.mkgmap.main.Main $(OPTS) $(OSMDATA)
+	$(TIME) java -XX:+UseCompressedOops -Xmx700m -cp build/classes uk.me.parabola.mkgmap.main.Main $(OPTS) $(OSMDATA)
 	#cp 63240001.img gmapsupp.img
 	#imgdecode gmapsupp.img
 
@@ -57,8 +57,15 @@
 
 .PHONY: clean
 clean:
-	rm -f 63240001/* gmapsupp/* mkgmap.log out.log
-	rm -f gmapsupp.img 63*.img 63*.tdb
+	rm -f 6324000?/* gmapsupp/* mkgmap.log out.log
+	rm -f gmapsupp.img 632*.img
+	if [ -d 63240001 ]; then rmdir 6324000?; fi
+	rm -f 11112222.img 11112222.tdb
+	rm -f osmmap*
+	rm -f ovm_*.img
+	rm -f g?.img
+	rm -f styletester.style
+	rm -f test.*
 
 load:
 	sleep 2
@@ -103,16 +110,13 @@
 	imgdecode 32860003.img
 
 tests:
-	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm5/empty.osm
-	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm/63243936
-	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm/63247525
-	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm/63253506
-	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm5/reg40.osm
-	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm5/reg71.osm
-	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm5/cricklewood-5.osm
-	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm5/reg04.osm
-	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm5/reg04b.osm
-	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm5/rus.osm
+	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm/empty.osm
+	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm/reg40.osm
+	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm/reg71.osm
+	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm/cricklewood-5.osm
+	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm/reg04.osm
+	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm/reg04b.osm
+	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm/rus.osm
 	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main /opt/data/germany-070823.osm.gz
 	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main /opt/data/uk-070815.osm.gz
 	java -ea -cp build/classes uk.me.parabola.mkgmap.main.Main localtest/osm5/bit-assert-fail.osm

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libosmpbf-java
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mkgmap.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/mkgmap.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mkgmap.git
 Homepage: http://www.mkgmap.org.uk
 
 Package: mkgmap

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,9 @@
 JAVA_HOME=/usr/lib/jvm/default-java
 
 %:
-	dh $@ --with javahelper --parallel
-
-override_dh_auto_build:
-	ant
+	dh $@ --buildsystem=ant \
+	      --with javahelper \
+	      --parallel
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
opts=\
uversionmangle=s/(\d+)/0.0.0+svn$1/,\
downloadurlmangle=s/\.zip/-src.tar.gz/,\
filenamemangle=s/\/download\/mkgmap-r([\d]+)\.zip/mkgmap-r$1-src.tar.gz/ \
http://www.mkgmap.org.uk/download/mkgmap-r([\d]+).zip

## mkgmap 0.0.0+svn3674

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libfastutil-java,
                libprotobuf-java,
                libosmpbf-java
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mkgmap.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mkgmap.git
 Homepage: http://www.mkgmap.org.uk

## mkgmap 0.0.0+svn3676

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libfastutil-java,
                libprotobuf-java,
                libosmpbf-java
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mkgmap.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mkgmap.git
 Homepage: http://www.mkgmap.org.uk

## mkgmap 0.0.0+svn3686

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: ant,
+               debhelper (>= 9),
+               default-jdk,
                javahelper,
-               ant,
-               default-jdk,
-               time,
                libfastutil-java,
                libprotobuf-java,
-               libosmpbf-java
+               libosmpbf-java,
+               time
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mkgmap.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mkgmap.git
@@ -21,11 +21,10 @@
 
 Package: mkgmap
 Architecture: all
-Depends: ${misc:Depends},
+Depends: default-jre | java7-runtime,
          ${java:Depends},
-         default-jre | java7-runtime
+         ${misc:Depends}
 Suggests: josm,
-          qlandkarte,
           qmapshack
 Description: Generate Garmin maps from OpenStreetMap data
  This program converts OpenStreetMap data into a map that

## mkgmap 0.0.0+svn3741

=== doc/tutorial/Makefile ===
--- 
+++ 
@@ -1,8 +1,13 @@
 
 include ../resources/make.param
 
-SOURCE_DEPS= tutorial.txt starting.txt first_map.txt $(XSL) 
-TUTORIAL_MAIN=tutorial.txt
+TUTORIAL_MAIN=main.txt
+SOURCE_DEPS= \
+		$(TUTORIAL_MAIN) \
+		starting.txt \
+		first_map.txt second_map.txt publish.txt \
+		splitter.txt custom.txt \
+		$(XSL) 
 
 build: html
 
@@ -13,10 +18,11 @@
 epub: tutorial.epub
 
 tutorial.html: $(SOURCE_DEPS)
-	$(ASCIIDOC) $(HTML_ATTRS) -a icons -a iconsdir=$(ICONSDIR) -b html5 $(TUTORIAL_MAIN)
+	$(ASCIIDOC) $(HTML_ATTRS) -o tutorial.html -a icons -a iconsdir=$(ICONSDIR) -b html5 $(TUTORIAL_MAIN)
 
 tutorial.pdf: $(SOURCE_DEPS)
 	$(A2X) --xsl-file=$(XSL) --fop -a doctype=article $(PDF_OPTS) $(TUTORIAL_MAIN)
+	mv main.pdf tutorial.pdf
 
 tutorial.epub: $(SOURCE_DEPS)
 	mkdir -p build

=== debian/changelog ===
mkgmap (0.0.0+svn3741-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Jan 2017 18:35:25 +0100

mkgmap (0.0.0+svn3706-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Dec 2016 18:49:03 +0100

mkgmap (0.0.0+svn3701-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Nov 2016 07:30:02 +0100

mkgmap (0.0.0+svn3695-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Oct 2016 09:48:44 +0200

mkgmap (0.0.0+svn3694-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Use OpenJDK 8 for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Sep 2016 09:55:37 +0200

mkgmap (0.0.0+svn3686-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Aug 2016 10:15:20 +0200

mkgmap (0.0.0+svn3677-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Jul 2016 21:46:38 +0200

mkgmap (0.0.0+svn3676-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 09 May 2016 09:07:54 +0200

mkgmap (0.0.0+svn3674-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Apr 2016 18:49:10 +0200

mkgmap (0.0.0+svn3668-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Mar 2016 17:45:18 +0100

mkgmap (0.0.0+svn3660-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Feb 2016 18:42:54 +0100

mkgmap (0.0.0+svn3656-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Jan 2016 20:14:56 +0100

mkgmap (0.0.0+svn3652-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Dec 2015 17:46:32 +0100

mkgmap (0.0.0+svn3649-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Nov 2015 18:03:01 +0100

mkgmap (0.0.0+svn3643-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Oct 2015 10:37:24 +0200

mkgmap (0.0.0+svn3639-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Sep 2015 08:13:33 +0200

mkgmap (0.0.0+svn3625-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Aug 2015 19:15:45 +0200

mkgmap (0.0.0+svn3620-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Jul 2015 14:53:02 +0200

mkgmap (0.0.0+svn3598-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Jun 2015 11:48:37 +0200

mkgmap (0.0.0+svn3552-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update branch in gbp.conf and Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 May 2015 22:31:58 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Build-Depends: ant,
                debhelper (>= 9),
-               default-jdk,
+               default-jdk-headless (>= 2:1.8) | java8-sdk-headless,
                javahelper,
                libfastutil-java,
                libprotobuf-java,
@@ -16,12 +16,12 @@
                time
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mkgmap.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mkgmap.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mkgmap.git -b jessie-backports
 Homepage: http://www.mkgmap.org.uk
 
 Package: mkgmap
 Architecture: all
-Depends: default-jre | java7-runtime,
+Depends: default-jre-headless (>= 2:1.8) | java8-runtime-headless,
          ${java:Depends},
          ${misc:Depends}
 Suggests: josm,

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 # GPL
 
 JAVA_HOME=/usr/lib/jvm/default-java
+
+# Use OpenJDK 8 for jessie-backports
+export JAVA_HOME=/usr/lib/jvm/java-8-openjdk-$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 %:
 	dh $@ --buildsystem=ant \

## mkgmap 0.0.0+svn4183

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                libprotobuf-java,
                libosmpbf-java,
                time
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mkgmap.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mkgmap.git -b jessie-backports
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/mkgmap
+Vcs-Git: https://salsa.debian.org/debian-gis-team/mkgmap.git
 Homepage: http://www.mkgmap.org.uk
 
 Package: mkgmap

## mkgmap 0.0.0+svn4193

=== debian/control ===
--- 
+++ 
@@ -37,4 +37,3 @@
   - Full address search support
   - Routing support
   - Many options for fine control over the map creation process
-

## mkgmap 0.0.0+svn4214

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libprotobuf-java,
                libosmpbf-java,
                time
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mkgmap
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mkgmap.git
 Homepage: http://www.mkgmap.org.uk

## mkgmap 0.0.0+svn4245

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libprotobuf-java,
                libosmpbf-java,
                time
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mkgmap
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mkgmap.git
 Homepage: http://www.mkgmap.org.uk

## mkgmap 0.0.0+svn4262

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libprotobuf-java,
                libosmpbf-java,
                time
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mkgmap
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mkgmap.git
 Homepage: http://www.mkgmap.org.uk

## mkgmap 0.0.0+svn4287

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libprotobuf-java,
                libosmpbf-java,
                time
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mkgmap
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mkgmap.git
 Homepage: http://www.mkgmap.org.uk

## mkgmap 0.0.0+svn4323

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libprotobuf-java,
                libosmpbf-java,
                time
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mkgmap
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mkgmap.git
 Homepage: http://www.mkgmap.org.uk

## mkgmap 0.0.0+svn4434

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libprotobuf-java,
                libosmpbf-java,
                time
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mkgmap
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mkgmap.git
 Homepage: http://www.mkgmap.org.uk

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for mkgmap
# Andreas Tille <tille@debian.org>
# GPL

JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --buildsystem=ant \
	      --with javahelper \
	      --parallel

override_dh_auto_install:
	dh_auto_install

	install -m 755 debian/mkgmap.sh debian/mkgmap/usr/bin/mkgmap

=== debian/watch ===
version=3
opts=\
uversionmangle=s/(\d+)/0.0.0+svn$1/,\
downloadurlmangle=s/\.zip/-src.tar.gz/,\
filenamemangle=s/\/download\/mkgmap-r([\d]+)\.zip/mkgmap-r$1-src.tar.gz/ \
https://www.mkgmap.org.uk/download/mkgmap-r([\d]+).zip

## mkgmap 0.0.0+svn4585

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Section: utils
 Priority: optional
 Build-Depends: ant,
-               debhelper (>= 9),
+               debhelper (>= 10~),
                default-jdk-headless (>= 2:1.8) | java8-sdk-headless,
                javahelper,
                libfastutil-java,
                libprotobuf-java,
-               libosmpbf-java,
+               libosmpbf-java (>= 1.3.3-14),
                time
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mkgmap

## mkgmap 0.0.0+svn4600

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libprotobuf-java,
                libosmpbf-java (>= 1.3.3-14),
                time
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mkgmap
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mkgmap.git
 Homepage: http://www.mkgmap.org.uk

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 uversionmangle=s/(\d+)/0.0.0+svn$1/,\
 downloadurlmangle=s/\.zip/-src.tar.gz/,\

## mkgmap 0.0.0+svn4807

=== debian/changelog ===
mkgmap (0.0.0+svn4807-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Oct 2021 05:59:00 +0200

mkgmap (0.0.0+svn4806-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Update watch file to fix filenamemangle.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Sep 2021 05:46:45 +0200

mkgmap (0.0.0+svn4802-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 11:48:41 +0200

mkgmap (0.0.0+svn4802-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Aug 2021 06:46:44 +0200

mkgmap (0.0.0+svn4800-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 02 Jul 2021 06:24:19 +0200

mkgmap (0.0.0+svn4745-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Jun 2021 05:59:55 +0200

mkgmap (0.0.0+svn4680-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 May 2021 10:40:50 +0200

mkgmap (0.0.0+svn4620-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Apr 2021 06:00:12 +0200

mkgmap (0.0.0+svn4604-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Mar 2021 16:34:13 +0100

## mkgmap 0.0.0+svn4821

=== debian/changelog ===
mkgmap (0.0.0+svn4821-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Dec 2021 07:47:46 +0100

mkgmap (0.0.0+svn4810-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Nov 2021 05:34:01 +0100

## mkgmap 0.0.0+svn4839

=== debian/changelog ===
mkgmap (0.0.0+svn4839-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Jan 2022 08:40:33 +0100

## mkgmap 0.0.0+svn4885

=== debian/changelog ===
mkgmap (0.0.0+svn4885-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Feb 2022 18:10:21 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Section: utils
 Priority: optional
 Build-Depends: ant,
-               debhelper (>= 10~),
+               debhelper-compat (= 12),
                default-jdk-headless (>= 2:1.8) | java8-sdk-headless,
                javahelper,
                libfastutil-java,
                libprotobuf-java,
                libosmpbf-java (>= 1.3.3-14),
                time
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mkgmap
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mkgmap.git
 Homepage: http://www.mkgmap.org.uk

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
 
 %:
 	dh $@ --buildsystem=ant \
-	      --with javahelper \
-	      --parallel
+	      --with javahelper
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=4
opts=\
uversionmangle=s/(\d+)/0.0.0+svn$1/,\
downloadurlmangle=s/\.zip/-src.tar.gz/,\
filenamemangle=s/.*\/download\/mkgmap-r([\d]+)\.zip/mkgmap-r$1-src.tar.gz/ \
https://www.mkgmap.org.uk/download/mkgmap-r([\d]+).zip

## mkgmap 0.0.0+svn4897

=== debian/changelog ===
mkgmap (0.0.0+svn4897-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Mar 2022 22:13:48 +0100

## mkgmap 0.0.0+svn4899

=== debian/changelog ===
mkgmap (0.0.0+svn4899-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 May 2022 21:13:59 +0200

## mkgmap 0.0.0+svn4904

=== debian/changelog ===
mkgmap (0.0.0+svn4904-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Jun 2022 05:17:55 +0200

## mkgmap 0.0.0+svn4905

=== doc/Makefile ===

DIRS=styles # tutorial reference


all:
	echo You can only install with this makefile

install: $(DIRS)

$(DIRS):
	$(MAKE) -C $@  install


.PHONY: dirs $(DIRS)

=== debian/changelog ===
mkgmap (0.0.0+svn4905-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Bump Standards-Version to 4.6.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Aug 2022 05:31:14 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libprotobuf-java,
                libosmpbf-java (>= 1.3.3-14),
                time
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mkgmap
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mkgmap.git
 Homepage: http://www.mkgmap.org.uk

## mkgmap 0.0.0+svn4909

=== debian/changelog ===
mkgmap (0.0.0+svn4909-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 11:26:06 +0200

mkgmap (0.0.0+svn4909-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Jun 2023 13:00:23 +0200

mkgmap (0.0.0+svn4907-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Apr 2023 07:38:04 +0200

mkgmap (0.0.0+svn4906-1~exp1) experimental; urgency=medium

  * New upstream SVN snapshot.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Update URLs to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Mar 2023 14:33:12 +0100

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,11 @@
                libprotobuf-java,
                libosmpbf-java (>= 1.3.3-14),
                time
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mkgmap
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mkgmap.git
-Homepage: http://www.mkgmap.org.uk
+Homepage: https://www.mkgmap.org.uk
+Rules-Requires-Root: no
 
 Package: mkgmap
 Architecture: all

## mkgmap 0.0.0+svn4910

=== debian/changelog ===
mkgmap (0.0.0+svn4910-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Bump debhelper compat to 13.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Aug 2023 05:21:01 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: utils
 Priority: optional
 Build-Depends: ant,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                default-jdk-headless (>= 2:1.8) | java8-sdk-headless,
                javahelper,
                libfastutil-java,

## mkgmap 0.0.0+svn4916

=== debian/changelog ===
mkgmap (0.0.0+svn4916-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Nov 2023 05:21:08 +0100

mkgmap (0.0.0+svn4912-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Remove generated files in clean target.
    (closes: #1048226)
  * Use execute_after instead of override in rules file.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Oct 2023 07:15:03 +0200

## mkgmap 0.0.0+svn4917

=== Makefile ===
--- 
+++ 
@@ -61,6 +61,7 @@
 	rm -f gmapsupp.img 632*.img
 	if [ -d 63240001 ]; then rmdir 6324000?; fi
 	rm -f 11112222.img 11112222.tdb
+	rm -rf *.gmapi *.gmap
 	rm -f osmmap*
 	rm -f ovm_*.img
 	rm -f g?.img

=== doc/styles/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-
 include ../resources/make.param
 
 
-SOURCES= about.txt creating.txt design.txt files.txt rules.txt rules-filters.txt \
-	style-manual.txt $(XSL) 
+SOURCES= about.txt creating.txt design.txt files.txt rules.txt internal-tags.txt \
+		 rules-filters.txt style-manual.txt $(XSL) 
+
 STYLE_MAIN=style-manual.txt
 TARGET_PDF=style-manual.pdf
 
@@ -19,7 +19,7 @@
 	$(ASCIIDOC) $(HTML_ATTRS) -a icons -a iconsdir=$(ICONSDIR) -b html5 $(STYLE_MAIN)
 
 $(TARGET_PDF): $(SOURCES)
-	$(A2X) --xsl-file=$(XSL) --fop $(PDF_OPTS) $(STYLE_MAIN)
+	$(A2X) -L --xsl-file=$(XSL) --fop $(PDF_OPTS) $(STYLE_MAIN)
 
 style-manual.epub: $(SOURCES)
 	mkdir -p build

=== debian/changelog ===
mkgmap (0.0.0+svn4917-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Mar 2024 15:36:41 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for mkgmap
# Andreas Tille <tille@debian.org>
# GPL

JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --buildsystem=ant

execute_after_dh_auto_install:
	install -m 755 debian/mkgmap.sh debian/mkgmap/usr/bin/mkgmap

## mkgmap 0.0.0+svn4919

=== debian/changelog ===
mkgmap (0.0.0+svn4919-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 May 2024 05:21:48 +0200

mkgmap (0.0.0+svn4918-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Apr 2024 06:06:23 +0200

## mkgmap 0.0.0+svn4921

=== debian/changelog ===
mkgmap (0.0.0+svn4921-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Jul 2024 05:40:16 +0200

## mkgmap 0.0.0+svn4922

=== debian/changelog ===
mkgmap (0.0.0+svn4922-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Bump Standards-Version to 4.7.0, no changes.
  * Apply patch by Petter Reinholdtsen to add AppStream metadata.
    (closes: 1078746)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Sep 2024 07:17:56 +0200

## mkgmap 0.0.0+svn4923

=== debian/changelog ===
mkgmap (0.0.0+svn4923-2) unstable; urgency=medium

  * Use searchmode=plain to fix watch file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Mar 2025 19:20:42 +0100

mkgmap (0.0.0+svn4923-1) unstable; urgency=medium

  * New upstream SVN snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 19 Jan 2025 11:18:56 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,13 @@
 Build-Depends: ant,
                debhelper-compat (= 13),
                default-jdk-headless (>= 2:1.8) | java8-sdk-headless,
+               dh-sequence-javahelper,
                javahelper,
                libfastutil-java,
                libprotobuf-java,
                libosmpbf-java (>= 1.3.3-14),
                time
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mkgmap
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mkgmap.git
 Homepage: https://www.mkgmap.org.uk

=== debian/watch ===
version=4
opts=\
uversionmangle=s/(\d+)/0.0.0+svn$1/,\
searchmode=plain \
https://www.mkgmap.org.uk/download/ \
mkgmap-r([\d]+)-src.tar.gz

## mkgmap 0.0.0+svn4924

=== debian/changelog ===
mkgmap (0.0.0+svn4924-1) unstable; urgency=medium

  * New upstream SVN snapshot.
  * Bump Standards-Version to 4.7.3, no changes.
  * Fix old FSF address in copyright file.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Drop Priority: optional, default since dpkg 1.22.13.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Jan 2026 15:03:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
            Andreas Tille <tille@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: utils
-Priority: optional
 Build-Depends: ant,
                debhelper-compat (= 13),
                default-jdk-headless (>= 2:1.8) | java8-sdk-headless,
@@ -15,11 +14,10 @@
                libprotobuf-java,
                libosmpbf-java (>= 1.3.3-14),
                time
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mkgmap
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mkgmap.git
 Homepage: https://www.mkgmap.org.uk
-Rules-Requires-Root: no
 
 Package: mkgmap
 Architecture: all
